@import "../base/variable.scss";
@import "../base/mixins.scss";

.blog-wrap{
    padding-bottom: 100px;
    padding-top: 80px;
    &.frome-blog{
        padding-bottom: 40px;
        &.blog-space{
            padding-bottom: 90px;
        }
        .blog_wrap{
            .blog_one_forth{
                .blog-inner{
                    border-radius: 20px;
                    box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 15px 0px;
                    overflow: hidden;
                    margin: 10px 0;
                    .blog-inner-img{
                        overflow: hidden;
                        @include ioshidden();
                        img{
                            width: 101%;
                            height: 230px;
                            object-fit: cover;
                            overflow: hidden;
                        }
                    }
                    .content{
                        padding: 20px;
                        padding-bottom: 40px !important;
                        .date{
                            p{
                                padding-left: 0px;
                                color: $black;
                                font-size: 15px;
                                font-weight: 500;
                            }
                        }
                        p{
                            a{
                                padding-left: 0px;
                                color: $black;
                                font-size: 18px;
                                font-weight: 600;
                            }
                        }
                        span{
                            display: block;
                            font-size: 14px;
                            padding: 18px 0;
                        }
                        a{
                            color: $primary_color;
                            padding-right: 20px;
                            font-weight: 500;
                            font-size: 16px;
                        }
                    }
                }
            }
        }  
    }
    .blog-inner{
        .search_tags{
            position: relative;
            padding: 20px 82px;
            padding-bottom: 50px;
            .list-inline{
                overflow: hidden;
                white-space: nowrap;
                display: block;
                margin: 0 16px;
                text-align: center;
                li{
                    float: initial;
                    display: inline-block;
                    padding: 0 30px;
                    font-weight: 500;
                    font-size: 16px;
                    color: $black;
                    margin: 0px 3px;
                    background-color: transparent;
                    border: 2px solid $primary_color;
                    &:first-child{
                        margin-left: 0;
                    }
                    &:last-child{
                        margin-right: 0;
                    }
                    &.active{
                        background-color: $primary_color;
                        border-color: $primary_color;
                        color: $white;
                        a{
                            color: $white;
                        }
                    }
                    &.btn-primary{
                        height: 50px;
                        line-height: 50px;
                        box-shadow: none;
                        width: unset;
                    }
                    a{
                        color: $black;
                    }
                }
            }
            .next_prev{
                position: absolute;
                top: 0;
                border: none;
                background-color: transparent;
                text-align: center;
                margin-top: 13px;
                font-size: 34px;
                line-height: 50px;
                color: $primary_color;
                cursor: pointer;
                &.prev_btn{
                    left: 60px;
                    top: 4px;
                    display: block;
                }
                &.next_btn{
                    right: 60px;
                    top: 4px;
                }
            }
        }
        .blog_wrap{
            .blog_one_forth{
                margin-bottom: 25px;
            }
        }
       
    }
}

.frome-blog{
    padding-bottom: 40px;
    &.blog-space{
        padding-bottom: 90px;
    }
    .blog_wrap{
        .blog_one_forth{
            .blog-inner{
                border-radius: 20px;
                box-shadow: rgba(0, 0, 0, 0.15) 0px 0px 15px 0px;
                overflow: hidden;
                margin: 10px 0;
                .blog-inner-img{
                    overflow: hidden;
                    @include ioshidden();
                    img{
                        width: 101%;
                        height: 230px;
                        object-fit: cover;
                        overflow: hidden;
                    }
                }
                .content{
                    padding: 20px;
                    padding-bottom: 40px !important;
                    .date{
                        p{
                            padding-left: 0px;
                            color: $black;
                            font-size: 15px;
                            font-weight: 500;
                           
                        }
                    }
                    p{
                        a{
                            padding-left: 0px;
                            color: $black;
                            font-size: 18px;
                            font-weight: 600;
                            
                        }
                        padding-top: 10px;
                    }
                    span{
                        display: block;
                        font-size: 14px;
                        padding: 18px 0;
                    }
                    a{
                        color: $primary_color;
                        padding-right: 20px;
                        font-weight: 500;
                        font-size: 16px;
                    }
                }
            }
        }
    }  
}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	.blog-wrap{
        .blog-inner{
            .search_tags{
                .list-inline{
                  margin: 0 auto;
                }
                .next_prev{
                    &.next_btn{
                        right: 40px;
                    }
                    &.prev_btn{
                        left: 40px;
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	.blog-wrap{
        &.frome-blog{
            padding-top: 0;
            padding-bottom: 50px;
        }
        .blog-inner{
            .search_tags{
                padding: 20px 105px;
                .list-inline{
                  margin: 0 auto;
                }
                .next_prev{
                    &.next_btn{
                        right: 40px;
                    }
                    &.prev_btn{
                        left: 40px;
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
	.blog-wrap{
        &.frome-blog{
            padding-top: 0;
            padding-bottom: 50px;
        }
        .blog-inner{
            .search_tags{
                padding: 20px 55px;
                .list-inline{
                  margin: 0 auto;
                }
                .next_prev{
                    &.next_btn{
                        right: 18px;
                    }
                    &.prev_btn{
                        left: 18px;
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.blog-wrap{
        &.frome-blog{
            padding-top: 0;
            padding-bottom: 20px;
        }
        .blog-inner{
            .search_tags{
                padding: 20px 60px;
                padding-bottom: 20px;
                .list-inline{
                  margin: 0 auto;
                }
                .next_prev{
                    font-size: 26px;
                    &.next_btn{
                        right: 10px;
                    }
                    &.prev_btn{
                        left: 10px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.blog-wrap{
        &.frome-blog{
            padding-top: 0;
            padding-bottom: 20px;
        }
        .blog-inner{
            .search_tags{
                padding: 20px 52px;
                padding-bottom: 20px;
                .list-inline{
                  margin: 0 auto;
                }
                .next_prev{
                    font-size: 26px;
                    &.next_btn{
                        right: 10px;
                    }
                    &.prev_btn{
                        left: 10px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}